﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lapker.ParcelRegistrationPUDOClient
{
    /// <summary>
    /// Additional Package Data
    /// </summary>
    /// <remarks>
    /// </remarks>
    public class PackageSupplimentData
    {
        public InternationalData InternationalData { get; set; }
    }

    /// <summary>
    /// International additional data
    /// </summary>
    public class InternationalData
    {
        /// <summary>
        /// Internation delivery partner name (FANCOURIER)
        /// </summary> 
        public string DeliveryPartner { get; set; }

        /// <summary>
        /// FanCourier data
        /// </summary>      
        public FanCourierData FanCourierData { get; set; }
    }

    /// <summary>
    /// FanCourier-specific data
    /// </summary>
    public class FanCourierData
    {
        /// <summary>
        /// Label size
        /// </summary>
        /// <remarks>
        /// FanCourier -  A6 label size
        /// </remarks>   
        public LabelSize? LabelSize { get; set; }

        /// <summary> 
        /// true = Envelop size small package,
        /// false = Normal package 
        /// </summary>     
        public bool IsDocument { get; set; }
    }

    //FanCourier label size
    public enum LabelSize
    {
        /// <summary>
        /// Only A6
        /// </summary>
        A6 = 2
    }

}
