﻿<?php

try{

	// include PudoDocumentService library
	include("PudoDocumentService.php");

	// include PartnerPudoService library
	include("PartnerPudoService.php");

	// SOAP client options
	$soap_options = array(
		'features' => SOAP_SINGLE_ELEMENT_ARRAYS,
	 	'cache_wsdl'=> WSDL_CACHE_NONE
	); 

	/* 
	// With specific PHP versions there may be an SSL problem, replace the $soap_options with this code could solve that
	// SOAP client options
	$soap_options = array('features' => SOAP_SINGLE_ELEMENT_ARRAYS,
	'stream_context'=>
     stream_context_create(
     array(
       'ssl' => array(
         'protocol_version' => 'tls1',
        'ciphers' => 'DHE-RSA-AES256-SHA:DHE-DSS-AES256-SHA:AES256-SHA:KRB5-DES-CBC3-MD5:KRB5-DES-CBC3-SHA:EDH-RSA-DES-CBC3-SHA:EDH-DSS-DES-CBC3-SHA:DES-CBC3-SHA:DES-CBC3-MD5:DHE-RSA-AES128-SHA:DHE-DSS-AES128-SHA:AES128-SHA:RC2-CBC-MD5:KRB5-RC4-MD5:KRB5-RC4-SHA:RC4-SHA:RC4-MD5:RC4-MD5:KRB5-DES-CBC-MD5:KRB5-DES-CBC-SHA:EDH-RSA-DES-CBC-SHA:EDH-DSS-DES-CBC-SHA:DES-CBC-SHA:DES-CBC-MD5:EXP-KRB5-RC2-CBC-MD5:EXP-KRB5-DES-CBC-MD5:EXP-KRB5-RC2-CBC-SHA:EXP-KRB5-DES-CBC-SHA:EXP-EDH-RSA-DES-CBC-SHA:EXP-EDH-DSS-DES-CBC-SHA:EXP-DES-CBC-SHA:EXP-RC2-CBC-MD5:EXP-RC2-CBC-MD5:EXP-KRB5-RC4-MD5:EXP-KRB5-RC4-SHA:EXP-RC4-MD5:EXP-RC4-MD5'
		       )
		     )
		   ),
		 'cache_wsdl'=> WSDL_CACHE_NONE
		);	
	*/

	// WCF wsdl server url            
    $PartnerPudoServiceWSDL = "https://tsx.lapker.hu/PudoTest/PartnerPudoService?wsdl";
	$PudoDocumentServiceWSDL = "https://tsx.lapker.hu/PudoTest/PudoDocumentService?wsdl";

	$_datum = date("YmdHis");
	$_prefix = "ASD".date('YmdHis');		// unique barcode prefix, the customer service gives it to the partners
    $ParcelContainer = array();				//List of Parcels

	 
	//True: Parcel registration ony for label printing, and finalize later
	$onlyLabelPrinting = false;



	// PPP - Normal - Partner hands over the parcel at depot
	$PPP_Normal = new Parcel();
	
	// required field, it decides the service type
	$PPP_Normal->ServiceType = ParcelServiceType::$Normal;				// Partner hands over the parcel at depot

	// Logistics barcode(with the unique prefix). Max 25 chars length
    // It has to be unique and contains only ean128 format characters	
	$PPP_Normal->BarCode =	$_prefix.ParcelServiceType::$Normal;		//Unique generated barcode

	// Accounting barcode, the partner's identifier code for the parcel, it will be shown on the accounting and searchable in the tracking
    // Visible on the label
    // Required field
	$PPP_Normal->AutorizationCode = "AUTH123456";					

	//#region Parcel price data
	// Collect on delivery price
	$PPP_Normal->PriceAtDelivery = 1000;		
	// Collect on delivery currency						
	$PPP_Normal->PriceAtDeliveryCurrency = "HUF";						//Have to use this currency code
	// Parcel value, used for compensation
	$PPP_Normal->PackagePrice = 1000;									
	// Parcel value currency
	$PPP_Normal->PackagePriceCurrency = "HUF";							//Have to use this currency code
	
	//#region Customer data	
	// Customer name
	$PPP_Normal->CustomerName = "Atvevo Jakab";							
	// Customer phone number for SMS notification. Have to use this format (Country prefix(+36/0036/06) and only numbers)
    $PPP_Normal->CustomerPhone = "+36701234567";						
	// Customer email address
    $PPP_Normal->CustomerEmail = "ugyfel@gmail.com";						
	
	//#region Customer address data
	// Customer country code. Optional default HU
	$PPP_Normal->CustomerCountryCode = "HU";							
	// Customer postal code
    $PPP_Normal->CustomerPostalCode = "1097";							
	// Customer city or settlement
    $PPP_Normal->CustomerCity = "Budapest";								
	// Customer street
    $PPP_Normal->CustomerAddress = "Táblás";							
	// Customer streetnumber and other (floor and door number)
    $PPP_Normal->CustomerStreetNumber = "32. 1/A";							
	
    //#region Parcel size data
    //Size category (default small)
    $PPP_Normal->PackageType = PackageType::$Small;            			

	// Parcel weight, max 20kg (in kilograms) (Optional)
    $PPP_Normal->PackageWeight = 5;
    // Parcel Size X dimension (in centimeters) (Optional)
    $PPP_Normal->PackageSizeX = 20;
    // Parcel Size Y dimension (in centimeters) (Optional)
    $PPP_Normal->PackageSizeY = 31;
    // Parcel Size Z dimension (in centimeters) (Optional)
    $PPP_Normal->PackageSizeZ = 10;
    // Parcel Volume (m3) (Optional)
    $PPP_Normal->PackageVolume = number_format(0.006000,6);
 	//Destination PPP shop code (where the customer takes over the parcel)       
	$PPP_Normal->DestinationLocationId = "0000101246";	//Set Package Destination location 
	
	//Add to ParcelContainer list this initialized parcel
	$ParcelContainer[] = $PPP_Normal;



 	//#region PPP - Pos2Pos - Partner hands over the parcel at PPP, delivered in another PPP
    $PPP_Pos2Pos = new Parcel();

    // required field, it decides the service type
    $PPP_Pos2Pos->ServiceType = ParcelServiceType::$Pos2Pos;	 //Partner hands over the parcel at PPP, delivered in another PPP (Pos2Pos)
	
	// Logistics barcode(with the unique prefix). Max 25 chars length
	// It has to be unique and contains only ean128 format characters            
	$PPP_Pos2Pos->BarCode =	$_prefix.ParcelServiceType::$Pos2Pos;			//Unique generated barcode
	
	// Accounting barcode, the partner's identifier code for the parcel, it will be shown on the accounting and searchable in the tracking
    // Visible on the label
    // Required field
    $PPP_Pos2Pos->AutorizationCode = "AUTH123456";			

  	#region Parcel price data
    // Collect on delivery price
	$PPP_Pos2Pos->PriceAtDelivery = 1000;						
	 // Collect on delivery currency
	$PPP_Pos2Pos->PriceAtDeliveryCurrency = "HUF";				//Have to use this currency code		
	 // Parcel value, used for compensation
	$PPP_Pos2Pos->PackagePrice = 1000;							
	// Parcel value currency
	$PPP_Pos2Pos->PackagePriceCurrency = "HUF";					//Have to use this currency code		

	#region Customer data
    // Customer name
	$PPP_Pos2Pos->CustomerName = "Atvevo Jakab";					
	// Customer phone number for SMS notification. Have to use this format (Country prefix(+36/0036/06) and only numbers)
	$PPP_Pos2Pos->CustomerPhone = "+36701234567";				
	 // Customer email address
	$PPP_Pos2Pos->CustomerEmail = "ugyfel@gmail.hu";				
	
	#region Customer address data
    // Customer country code. Optional default HU
    $PPP_Pos2Pos->CustomerCountryCode = "HU";	
	// Customer postal code
	$PPP_Pos2Pos->CustomerPostalCode = "1097";					
	// Customer city or settlement
	$PPP_Pos2Pos->CustomerCity = "Budapest";					
	// Customer street
	$PPP_Pos2Pos->CustomerAddress = "Táblás";					
	// Customer streetnumber and other (floor and door number)
	$PPP_Pos2Pos->CustomerStreetNumber = "32. 1/A";					

	#region Parcel size data
	//Size category (default small)
	$PPP_Pos2Pos->PackageType = PackageType::$Small;           
	// Parcel weight, max 20kg (in kilograms) (Optional)
    $PPP_Pos2Pos->PackageWeight = 5;
    // Parcel Size X dimension (in centimeters) (Optional)
    $PPP_Pos2Pos->PackageSizeX = 20;
    // Parcel Size Y dimension (in centimeters) (Optional)
    $PPP_Pos2Pos->PackageSizeY = 31;
    // Parcel Size Z dimension (in centimeters) (Optional)
    $PPP_Pos2Pos->PackageSizeZ = 10;
    // Parcel Volume (m3) (Optional)
    $PPP_Pos2Pos->PackageVolume = 0.006000;

	//Pick up PPP shop code (where the partner hands over the parcel)
    $PPP_Pos2Pos->DestinationLocationId = "0000101999";	
	//Destination PPP shop code (where the customer takes over the parcel)
    $PPP_Pos2Pos->PickupLocationId = "0000101246";		
    
    //Add to ParcelContainer list this initialized parcel
    $ParcelContainer[] = $PPP_Pos2Pos;



    //#region PPP - Direct - Partner hands over the parcel at PPP, delivered in the same PPP
    $PPP_Direct = new Parcel();
    
    // required field, it decides the service type
    $PPP_Direct->ServiceType = ParcelServiceType::$Direct;		

	// Logistics barcode(with the unique prefix). Max 25 chars length
    // It has to be unique and contains only ean128 format characters
    $PPP_Direct->BarCode = $_prefix.ParcelServiceType::$Direct;		//Unique generated barcode

    // Accounting barcode, the partner's identifier code for the parcel, it will be shown on the accounting and searchable in the tracking
    // Visible on the label
    // Required field
	$PPP_Direct->AutorizationCode = "AUTH123456";			

	#region Parcel price data
	// Collect on delivery price
	$PPP_Direct->PriceAtDelivery = 1000;	
	// Collect on delivery currency					
	$PPP_Direct->PriceAtDeliveryCurrency = "HUF";	 //Have to use this currency code			
	// Parcel value, used for compensation
	$PPP_Direct->PackagePrice = 1000;	
	// Parcel value currency						
	$PPP_Direct->PackagePriceCurrency = "HUF";		//Have to use this currency code			

 	#region Customer data
    // Customer name
	$PPP_Direct->CustomerName = "Atvevo Jakab";					
 	// Customer phone number for SMS notification. Have to use this format (Country prefix(+36/0036/06) and only numbers)
    $PPP_Direct->CustomerPhone = "+36701234567";				
	// Customer email address
    $PPP_Direct->CustomerEmail = "ugyfel@gmail.hu";	

	#region Customer address data
    // Customer country code. Optional default HU
	$PPP_Direct->CustomerCountryCode = "HU";	
	// Customer postal code
	$PPP_Direct->CustomerPostalCode = "1097";					
	// Customer city or settlement
	$PPP_Direct->CustomerCity = "Budapest";						
	// Customer street
	$PPP_Direct->CustomerAddress = "Táblás";					
	// Customer streetnumber and other (floor and door number)
	$PPP_Direct->CustomerStreetNumber = "32. 1/A";					

	#region Parcel size data
    //Size category (default small)
	$PPP_Direct->PackageType = PackageType::$Small;            	
	// Parcel weight, max 20kg (in kilograms) (Optional)
    $PPP_Direct->PackageWeight = 5;
    // Parcel Size X dimension (in centimeters) (Optional)
    $PPP_Direct->PackageSizeX = 20;
    // Parcel Size Y dimension (in centimeters) (Optional)
    $PPP_Direct->PackageSizeY = 31;
    // Parcel Size Z dimension (in centimeters) (Optional)
    $PPP_Direct->PackageSizeZ = 10;
    // Parcel Volume (m3) (Optional)
    $PPP_Direct->PackageVolume = 0.006000;

	//Destination PPP shop code (where the customer takes over the parcel)
    $PPP_Direct->DestinationLocationId = "0000101246";			
    
    //Add to ParcelContainer list this initialized parcel
    $ParcelContainer[] = $PPP_Direct;


	
	//#region PPP - Return - Customer hands over the parcel at PPP, delivered to Partner in Depot
    $PPP_Return = new Parcel();
    
    // required field, it decides the service type
    $PPP_Return->ServiceType = ParcelServiceType::$Return;		

    // Logistics barcode(with the unique prefix). Max 25 chars length
    // It has to be unique and contains only ean128 format characters
	$PPP_Return->BarCode =	$_prefix.ParcelServiceType::$Return;		//Unique generated barcode
	
	// Accounting barcode, the partner's identifier code for the parcel, it will be shown on the accounting and searchable in the tracking
    // Visible on the label
    // Required field
	$PPP_Return->AutorizationCode = "AUTH123456";			
  	#region Parcel price data
	// Collect on delivery price
	$PPP_Return->PriceAtDelivery = 1000;						
	// Collect on delivery currency
    $PPP_Return->PriceAtDeliveryCurrency = "HUF";    //Have to use this currency code
    // Parcel value, used for compensation            				
	$PPP_Return->PackagePrice = 1000;							
	// Parcel value currency
	$PPP_Return->PackagePriceCurrency = "HUF";			 //Have to use this currency code				
	
	 #region Customer data
	// Customer name
	$PPP_Return->CustomerName = "Atvevo Jakab";					
	// Customer phone number for SMS notification. Have to use this format (Country prefix(+36/0036/06) and only numbers)
    $PPP_Return->CustomerPhone = "+36701234567";				
	// Customer email address
	$PPP_Return->CustomerEmail = "ugyfel@gmail.hu";				
	
	#region Customer address data
    // Customer country code. Optional default HU
	$PPP_Return->CustomerCountryCode = "HU";
	// Customer postal code
	$PPP_Return->CustomerPostalCode = "1097";					
	// Customer city or settlement
	$PPP_Return->CustomerCity = "Budapest";						
	// Customer street
	$PPP_Return->CustomerAddress = "Táblás";					
	// Customer streetnumber and other (floor and door number)
    $PPP_Return->CustomerStreetNumber = "32. 1/A";					

	#region Parcel size data
    //Size category (default small)
	$PPP_Return->PackageType = PackageType::$Small;            	
	// Parcel weight, max 20kg (in kilograms) (Optional)
    $PPP_Return->PackageWeight = 5;
    // Parcel Size X dimension (in centimeters) (Optional)
    $PPP_Return->PackageSizeX = 20;
    // Parcel Size Y dimension (in centimeters) (Optional)
    $PPP_Return->PackageSizeY = 31;
    // Parcel Size Z dimension (in centimeters) (Optional)
    $PPP_Return->PackageSizeZ = 10;
    // Parcel Volume (m3) (Optional)
    $PPP_Return->PackageVolume = 0.006000;

    //Pick up PPP shop code (where the customer hands over the parcel). The Destination will be the Partner's default depot
    $PPP_Return->DestinationLocationId = "0000101999";
    
    //Add to ParcelContainer list this initialized parcel
    $ParcelContainer[] = $PPP_Return;

    
	#region Return Of Document
	//Create Return of document Parcels example
	//For example, copy the original Normal Parcel
	$PPP_ReturnOfDocument = clone $PPP_Normal;										
	
	// Logistics barcode(with the unique prefix). Max 25 chars length
	// It has to be unique and contains only ean128 format characters            
	$PPP_ReturnOfDocument->BarCode =	$_prefix."Rod".ParcelServiceType::$Normal;			//Unique generated barcode 
																							//"Rod" is an example string
	 //Destination PPP shop code (where the customer takes over the parcel). The ReturnOfDocument service is available only in particular shops. 
	$PPP_ReturnOfDocument->DestinationLocationId = "0000101999";	

	//Return Of Document Checked
	$PPP_ReturnOfDocument->ReturnOfDocument = true;

	//Add to ParcelContainer list this initialized parcel
	$ParcelContainer[] = $PPP_ReturnOfDocument;

	 //In the response there will be a generated Return package with the original Barcode + "R" suffix. The label for the Return package has to be printed as well!



    //#region Home delivery (HomeDelivery)
    $HomeDelivery = new Parcel();
    
    // required field, it decides the service type
    $HomeDelivery->ServiceType = ParcelServiceType::$HomeDeliver;	//Home delivery to the customer
	
	// Logistics barcode(with the unique prefix). Max 25 chars length
	// It has to be unique and contains only ean128 format characters
	$HomeDelivery->BarCode =	$_prefix.ParcelServiceType::$HomeDeliver;		//Unique generated barcode	
	
	// Accounting barcode, the partner's identifier code for the parcel, it will be shown on the accounting and searchable in the tracking
    // Visible on the label
    // Required field
	$HomeDelivery->AutorizationCode = "AUTH123456";			

	#region Parcel price data
    // Collect on delivery price
	$HomeDelivery->PriceAtDelivery = 1000;	
	// Collect on delivery currency						
	$HomeDelivery->PriceAtDeliveryCurrency = "HUF";	//Have to use this currency code
	// Parcel value, used for compensation				
	$HomeDelivery->PackagePrice = 1000;			
	// Parcel value currency					
	$HomeDelivery->PackagePriceCurrency = "HUF";	//Have to use this currency code				
	
	#region Customer data
	// Customer name
	$HomeDelivery->CustomerName = "Atvevo Jakab";					
	// Customer phone number for SMS notification. Have to use this format (Country prefix(+36/0036/06) and only numbers)
    $HomeDelivery->CustomerPhone = "+36701234567";					
	// Customer email address
    $HomeDelivery->CustomerEmail = "ugyfel@gmail.hu";				

	#region Customer address data
    // Customer country code. Optional default HU
    $HomeDelivery->CustomerCountryCode = "HU";						
	// Customer postal code
	$HomeDelivery->CustomerPostalCode = "1097";	
	// Customer city or settlement					
	$HomeDelivery->CustomerCity = "Budapest";	
	// Customer street					
	$HomeDelivery->CustomerAddress = "Táblás";			
	// Customer streetnumber and other (floor and door number)			
	$HomeDelivery->CustomerStreetNumber = "32. 1/A";

	#region Parcel size data             
    // Parcel weight (in kilograms) (Optional)
    $HomeDelivery->PackageWeight = 5;
    // Parcel Size X dimension (in centimeters) (Optional)
    $HomeDelivery->PackageSizeX = 20;
    // Parcel Size Y dimension (in centimeters) (Optional)
    $HomeDelivery->PackageSizeY = 31;
    // Parcel Size Z dimension (in centimeters) (Optional)
    $HomeDelivery->PackageSizeZ = 10;
    // Parcel Volume (m3) (Optional)
    $HomeDelivery->PackageVolume = 0.006000;					

	#region csomag adatok
    // Package count delivered together to the same customer
    // CAUTION! The system will generate the given number of package barcode and labels (in format: Barcode, Barcode-2, Barcode-3)
    // The generated barcodes will be in the respone              
    $HomeDelivery->ParcelCount = 1;       

    
    //Transit time type                 //     0 - Before 9 A.M
    $HomeDelivery->TransitTime = 2;                    //     1 - Between 9 and 12 A.M
                                        //     2 - 1 working day
                                        //     3 - 2 working days
                                        //     4 - 3 working days
                                        //     5 - 5 working days
    //Delivers from Partner to customer
    $HomeDelivery->DeliveryType = ParcelDeliveryType::$OnlyDelivery;
    
    //Add to ParcelContainer list this initialized parcel
    $ParcelContainer[] = $HomeDelivery;	// add parcels list of 



	// #region International home delivery - FanCourier
    //ONLY WITH CONTRACT, Read the documentation!
    $InternationalHomeDelivery = new Parcel();
    
    // required field, it decides the service type
    $InternationalHomeDelivery->ServiceType = ParcelServiceType::$HomeDeliver;	//Home delivery to the customer
	
	// Logistics barcode(with the unique prefix). Max 25 chars length
	// It has to be unique and contains only ean128 format characters
	$InternationalHomeDelivery->BarCode =	$_prefix."HDFC";		//Unique generated barcode, FanCourier will replace it
	
	// Accounting barcode, the partner's identifier code for the parcel, it will be shown on the accounting and searchable in the tracking
    // Visible on the label
    // Required field
	$InternationalHomeDelivery->AutorizationCode = "AUTH123456";			

	#region Parcel price data
    // Collect on delivery price
	$InternationalHomeDelivery->PriceAtDelivery = 1000;	
	// Collect on delivery currency						
	$InternationalHomeDelivery->PriceAtDeliveryCurrency = "RON";	//Have to use this currency code
	// Parcel value, used for compensation				
	$InternationalHomeDelivery->PackagePrice = 1000;			
	// Parcel value currency					
	$InternationalHomeDelivery->PackagePriceCurrency = "RON";	//Have to use this currency code				
	
	#region Customer data
	// Customer name
	$InternationalHomeDelivery->CustomerName = "Atvevo Jakab";					
	// Customer phone number for SMS notification. Have to use this format (Valid hungarian or romanian phone number Country prefix(+36/0036/06 or +40/0040/07) and only numbers)
	$InternationalHomeDelivery->CustomerPhone = "+40712345678";					
	// Customer email address
    $InternationalHomeDelivery->CustomerEmail = "ugyfel@gmail.hu";				

	#region Customer address data
    // Customer country code. Optional default HU
    $InternationalHomeDelivery->CustomerCountryCode = "RO";						
	// Customer postal code
	$InternationalHomeDelivery->CustomerPostalCode = "050552";	
	// Customer city or settlement					
	$InternationalHomeDelivery->CustomerCity = "Bucuresti";	
	// Customer street					
	$InternationalHomeDelivery->CustomerAddress = "Str. Costache Negri";			
	// Customer streetnumber and other (floor and door number)			
	$InternationalHomeDelivery->CustomerStreetNumber = "1-5";

	#region Parcel size data             
    // Parcel weight (in kilograms) (Optional)
    $InternationalHomeDelivery->PackageWeight = 5;
    // Parcel Size X dimension (in centimeters) (Optional)
    $InternationalHomeDelivery->PackageSizeX = 20;
    // Parcel Size Y dimension (in centimeters) (Optional)
    $InternationalHomeDelivery->PackageSizeY = 31;
    // Parcel Size Z dimension (in centimeters) (Optional)
    $InternationalHomeDelivery->PackageSizeZ = 10;
    // Parcel Volume (m3) (Optional)
    $InternationalHomeDelivery->PackageVolume = 0.006000;					

	#region csomag adatok
    // Package count delivered together to the same customer
    // CAUTION! The system will generate the given number of package barcode and labels (in format: Barcode, Barcode-2, Barcode-3)
    // The generated barcodes will be in the respone              
    $InternationalHomeDelivery->ParcelCount = 1;       

    
    //Transit time type                 
    $InternationalHomeDelivery->TransitTime = 2;  //Default 1 workday, but depends on international couriers 

    //Delivers from Partner to customer
    $InternationalHomeDelivery->DeliveryType = ParcelDeliveryType::$OnlyDelivery;

    //Adding International Courier information in JSON format
    /*$InternationalHomeDelivery->SupplimentJSONData = 
    	json_encode(
	    	array(
    			"InternationalData" => array(
    				"DeliveryPartner" => "FANCOURIER",
    				"FanCourierData"  => array(
    					"LabelSize"=>2, 
    					"IsDocument"=>false
    				)
				)
    		)
    	);*/

    $FanCourierData = new FanCourierData();
    $FanCourierData->LabelSize = LabelSize::$A6;
    $FanCourierData->IsDocument = false;
    $InternationalData = new InternationalData();
    $InternationalData->DeliveryPartner = "FANCOURIER";
    $InternationalData->FanCourierData = $FanCourierData;
    $SupplimentJSONData = new PackageSupplimentData();
    $SupplimentJSONData->InternationalData = $InternationalData;



    $InternationalHomeDelivery->SupplimentJSONData = json_encode($SupplimentJSONData);
                 
    //Add to ParcelContainer list this initialized parcel
    $ParcelContainer[] = $InternationalHomeDelivery;	// add parcels list of 



    //Set up the request head
    $RegisterParcelContainerRequest = new RegisterParcelContainerRequest();
     //Test partner code, customer service gives it to partners
	 //Partner code, ASK FOR VALUE FROM THE pudointerface@lapker.hu!
    $RegisterParcelContainerRequest->PartnerCode = "0000001000";
    $RegisterParcelContainerRequest->ParcelContainer = $ParcelContainer;	//parcel list
    $RegisterParcelContainerRequest->Token ="testtoken1";					//required token field, ASK FOR VALUE FROM THE pudointerface@lapker.hu!
    //$RegisterParcelContainerRequest->ArrivedDate = date("Y.m.d H:i:s");   //Estimated time of handover, informational, optional

	$RegisterParcelContainerRequest->OnlyLabelPrinting = $onlyLabelPrinting;
	$RegisterParcelContainerRequest->FinalizeLabelPrinting = false;

	try 
	{
	    //#region Send the request to the webservice       
	    //Connecting to the parcel registration service
	    $PartnerPudoServiceClient = new PartnerPudoService($PartnerPudoServiceWSDL, $soap_options);

	    // Sending the request to the logistic system
		$RegisterParcelContainerResponse = $PartnerPudoServiceClient->RegisterParcelContainer($RegisterParcelContainerRequest);

	    if($PartnerPudoServiceClient == null || $RegisterParcelContainerResponse->RegisterParcelContainerResult->ParcelResults == null)
	    {
	    	echo "Empty Response!";
	    	return;
	    }

	    echo "Head result: ".$RegisterParcelContainerResponse->RegisterParcelContainerResult->ErrorCode;

		#region Handle parcel registration response
        //Barcode list for successfully registrated parcels
        $Barcodes = array();

		$ParcelResults = $RegisterParcelContainerResponse->RegisterParcelContainerResult->ParcelResults;
		foreach ($ParcelResults->ParcelResult as $Parcel) {

				//Show the results
            echo ("Original Barcode : $Parcel->OriginalBarCode <br>");
            echo ("New Barcode : $Parcel->NewBarCode <br>");
            echo ("ErrodCode : $Parcel->ErrorCode <br>");
            echo ("ShipmentID : $Parcel->ShipmentID <br><br>");
            if (!is_null($Parcel->ErrorMessageInternational) || $Parcel->ErrorMessageInternational!="")
            {
                echo ("ErrorMessageInternational : $Parcel->ErrorMessageInternational <br>");
            }

			//If the parcel has been registrated susccessfully, adding to the list
            if($Parcel->ErrorCode=='PSR_OK' || ($onlyLabelPrinting && $Parcel->ErrorCode=='PSR_OK_PACKAGE_LABEL_PRINTING'))
			{
				//We collect the new barcodes from the logistic system (it can be differenet from the original Barcode)
				$Barcodes[] = new BarcodeData($Parcel->NewBarCode);
			}
			
		}

		#region Label and other document generation
        //Specify the document settings
		if(count($Barcodes)>0)
		{
			//Specify the document settings
			$documentSetting = new DocumentSetting();
			$documentSetting->IsPositioned = false;								//Prepared for printing on normal paper, if true then prepares for Etikett labels
		    $documentSetting->Position     = LabelDocumentPosition::$P_0;		//Starting position of labels on page
		    $documentSetting->Size         = LabelDocumentSize::$DS_2x2;		//A4 page dividing for labels
		    $documentSetting->Type         = DocumentType::$DT_All;				//Getting all document types: Labels, recipient report and delivery notes

		    //add documentSetting on $DocumentSettings[] array
			$DocumentSettings[] = $documentSetting;

			// Setting the request
			$MassDocumentRequest = new MassDocumentRequest();				
			$MassDocumentRequest->Barcodes = $Barcodes;						//list of barcodes
			$MassDocumentRequest->DocumentSettings = $DocumentSettings;		//list of documentSettings

				//Create de DocumentServiceClient and Connecting to the document generation service
			$DocumentClient = new DocumentService($PudoDocumentServiceWSDL, $soap_options);
			//Getting back the documents
			$MassDocumentResponse = $DocumentClient->GetDocument($MassDocumentRequest);

			#region Document response handling
			switch($MassDocumentResponse->GetDocumentResult->Result)
			{
				//If the Result is RES_OK, then the document generation was successfully and we have got back printable documents
				case "RES_OK": {
                    //Write out the results
                    $DocumentResults = $MassDocumentResponse->GetDocumentResult->DocumentGenerationResults->DocumentGenerationResult;
                    foreach($DocumentResults as $DocumentGenerationResult) {
				         echo("DocumentName: $DocumentGenerationResult->DocumentName <br>");
				         echo("Result: $DocumentGenerationResult->Result <br>");
				         if(!is_null($DocumentGenerationResult->ResultMessage) ||  $DocumentGenerationResult->ResultMessage !="" )
				         {
					         echo("ResultMessage: " . $DocumentGenerationResult->ResultMessage . "\n<br>");
				         }
				         echo("<br>");
				     }


					//There could be more documents with the same name, save them with different filenames to avoid override
                    $_index = 1;
                    //Save the results to files
                    foreach($MassDocumentResponse->GetDocumentResult->Documents->DocumentData as $docResponse){
						$PrintDoc = fopen($docResponse->DocumentName.$_datum.($_index++).".pdf","w");
						fwrite($PrintDoc, $docResponse->Document);
						fclose($PrintDoc);
						echo $docResponse->DocumentName.".pdf File created successfully<br>"; 
					}
					break;
				}
				case "RES_DATA_MISSING": {
					echo "Data is missing";
					break;
				}
				case "RES_GENERATE_ERROR": {
					echo "Error occured during generation";
					break;
				}
				default : {
					echo $MassDocumentResponse->GetDocumentResult->Result;
					break;
				}
			}    				
		}

		#region Finalize label printing
		//At the end, Finalize the parcel data in the logistics system
        if ($onlyLabelPrinting)
        {		
			//Set up the request head
			$RegisterParcelContainerFinalizeRequest = new RegisterParcelContainerRequest();
			//Test partner code, customer service gives it to partners
			 			
			$RegisterParcelContainerFinalizeRequest->PartnerCode = "0000001000";			//Partner code, ASK FOR VALUE FROM THE pudointerface@lapker.hu!
			$RegisterParcelContainerFinalizeRequest->Token ="testtoken1";					//required token field, ASK FOR VALUE FROM THE pudointerface@lapker.hu!
  
			$FinalizeParcelContainer = array();
			foreach ($Barcodes as $ParcelBarcode) {

				$ParcelFinalize = new Parcel();
				$ParcelFinalize->BarCode = $ParcelBarcode->Barcode;
				$ParcelFinalize->ServiceType = ParcelServiceType::$Normal;
				//Collect the parcel barcodes to Finalize
				$FinalizeParcelContainer[] = $ParcelFinalize;
			}

			$RegisterParcelContainerFinalizeRequest->ParcelContainer = $FinalizeParcelContainer;

			$RegisterParcelContainerFinalizeRequest->OnlyLabelPrinting = false;
			$RegisterParcelContainerFinalizeRequest->FinalizeLabelPrinting = $onlyLabelPrinting;

			//#region Send the request to the webservice       
			//Connecting to the parcel registration service
			$PartnerPudoServiceClient = new PartnerPudoService($PartnerPudoServiceWSDL, $soap_options);

			// Sending the request to the logistic system
			$RegisterParcelContainerFinalizeResponse = $PartnerPudoServiceClient->RegisterParcelContainer($RegisterParcelContainerFinalizeRequest);
			
			#region Handle parcel registration response
			if($PartnerPudoServiceClient == null || $RegisterParcelContainerFinalizeResponse->RegisterParcelContainerResult->ParcelResults == null)
			{
				echo "Empty Response!";
				return;
			}
			
			echo("<br><br>");			
			echo "Head result: ".$RegisterParcelContainerFinalizeResponse->RegisterParcelContainerResult->ErrorCode;	
			echo("<br><br>");	
			$ParcelResults = $RegisterParcelContainerFinalizeResponse->RegisterParcelContainerResult->ParcelResults;
			foreach ($ParcelResults->ParcelResult as $Parcel) {

					//Show the results
			    echo ("Original Barcode : $Parcel->OriginalBarCode <br>");
			    echo ("New Barcode : $Parcel->NewBarCode <br>");
			    echo ("ErrodCode : $Parcel->ErrorCode <br>");
			    echo ("ShipmentID : $Parcel->ShipmentID <br><br>");
			    if (!is_null($Parcel->ErrorMessageInternational) || $Parcel->ErrorMessageInternational!="")
			    {
			        echo ("ErrorMessageInternational : $Parcel->ErrorMessageInternational <br>");
			    }				
			}
		}
	}
    catch(exception $ex)
    {
    	echo "Error occured! :".print_r($ex, true);
    }
}
catch(exception $e)
{
	echo $e;
}
?>